package com.bonus.core.marketing.v2.rule.recharge.handler.managecost.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("充值规则详情-管理费阶梯信息")
public class RechargeCostItemDTO {
   @ApiModelProperty("计算方法：1金额，2比例")
   private Integer computeType;
   @ApiModelProperty("门槛金额")
   private BigDecimal doorAmount;
   @ApiModelProperty("管理费或折扣")
   private BigDecimal discount;

   public Integer getComputeType() {
      return this.computeType;
   }

   public BigDecimal getDoorAmount() {
      return this.doorAmount;
   }

   public BigDecimal getDiscount() {
      return this.discount;
   }

   public void setComputeType(final Integer computeType) {
      this.computeType = computeType;
   }

   public void setDoorAmount(final BigDecimal doorAmount) {
      this.doorAmount = doorAmount;
   }

   public void setDiscount(final BigDecimal discount) {
      this.discount = discount;
   }


   public RechargeCostItemDTO(final Integer computeType, final BigDecimal doorAmount, final BigDecimal discount) {
      this.computeType = computeType;
      this.doorAmount = doorAmount;
      this.discount = discount;
   }
}
